%undefine __find_provides
%undefine __find_requires

Summary:	Open79XX XML Directory
Name:		open79xx
Version:	1.2
Release:	%mkrel 5
License:	GPL
Group:		System/Servers
#URL:		http://sourceforge.net/projects/open79xxdir
#Source0:	http://prdownloads.sourceforge.net/open79xxdir/openxmldir_%{version}.tar.gz
URL:		http://www.automated.it/open79xx/
Source0:	http://www.automated.it/open79xx/new_open79xx.tar.bz2
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache-mpm >= 2.0.54
Requires(pre):	apache-mod_php php-mysql asterisk-chan_sccp
Requires:	apache-mod_php php-mysql asterisk-chan_sccp
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Open79XX XMLDirectory is an open PHP-based XML menuing system for
providing on-screen services to the Cisco 79XX Series IP Phones.
It contains dynamically generated phone directories, on-screen
memos, links to other services, and many more options.

%prep

%setup -q -n new_open79xx

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

# path fixes
find -type f | xargs perl -pi -e "s|\.\./WebUI/modules/images/headerofficial\.gif|/%{name}/WebUI/modules/images/headerofficial\.gif|g"
find -type f | xargs perl -pi -e "s|\"\.\./WebUI|\"/%{name}/WebUI|g"
find -type f | xargs perl -pi -e "s|\"\./WebUI|\"/%{name}/WebUI|g"
find -type f | xargs perl -pi -e "s|/\.\./\.\./\.\./WebUI/login\.php|/%{name}/WebUI/login\.php|g"

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/%{name}
cp -aRf * %{buildroot}/var/www/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from All
</Directory>
EOF

%post
%_post_webapp

%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
/var/www/%{name}




%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2-5mdv2010.0
+ Revision: 430206
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-4mdv2009.0
+ Revision: 254553
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-2mdv2008.0
+ Revision: 43839
- fix deps


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2007.0
+ Revision: 131198
- Import open79xx

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdk
- initial Mandriva package

